<div class="home">
  <div class="bg-image-item-1">
    <div class="slide-content">
      <div class="first-item-container text-color-white">
        <h4>Welcome to Graphene Dev02</h4>
        <p>
          AI-LAB.NRW enables visual composition of AI pipelines from re-usable
          building blocks
        </p>
        <div class="buttons-container">
          <button
            class="button-active"
            (click)="onMarketPlaceClick()"
            mat-button
          >
            Marketplace
          </button>
        </div>
      </div>
    </div>
    <div class="mountain"></div>
  </div>
  <!--Explore section-->
  <div class="explore">
    <div class="explore-text">
      <h3>Explore the Graphene Dev02 Marketplace</h3>
      <h6>It's easy to discover, collaborate, compose & deploy</h6>
    </div>
    <div class="carousel-width">
      <mat-grid-list cols="6">
        <mat-grid-tile colspan="1"
          ><div>
            <button
              class="icon-button-pagination"
              mat-icon-button
              (click)="moveCarousel('left')"
            >
              <mat-icon>chevron_left</mat-icon>
            </button>
          </div></mat-grid-tile
        >
        <mat-grid-tile colspan="4">
          <div class="full-width">
            <mat-grid-list cols="4" rowHeight="200px" gutterSize="16px">
              <mat-grid-tile
                *ngFor="
                  let item of publicSolutions
                    | slice
                      : visibleStartIndex
                      : visibleStartIndex + itemsToShowInCarousel
                "
              >
                <gp-card-item [item]="item"></gp-card-item>
              </mat-grid-tile>
            </mat-grid-list></div
        ></mat-grid-tile>
        <mat-grid-tile colspan="1">
          <div>
            <button
              class="icon-button-pagination"
              mat-icon-button
              (click)="moveCarousel('right')"
            >
              <mat-icon>chevron_right</mat-icon>
            </button>
          </div></mat-grid-tile
        >
      </mat-grid-list>
    </div>
  </div>
  <div class="discover">
    <div class="discover-text">
      <h3>Discover Graphene Dev02</h3>
    </div>
    <img
      class="graphene-image"
      src="../../../../assets/images/graphene_grafik.png"
    />
  </div>
</div>
